{% extends 'base.html' %}
{% load static %}

{%block content%}

<div class="container-fluid vh-100">
    <div class="w-75 mx-auto big-list-container">

        <div class="row big-list-row mx-auto"></div>

        <div class="row big-list-footer mx-auto">
            <div class="col-2 big-card-img"> <img src="{% static 'images/cards/'%}{{object.getIconName}}"> </img></div> 
            <div class="col-1 h-100 big-card-lvl"> 
                <p> Lvl{{object.serie}}</p> 
            </div> 
            <div class="col-2 h-100 big-card-name"> <p> {{object.name}} </p> </div>
            <div class="col-7 h-100 big-card-desc"> <p> {{object.obtention}} </p> </div> 
        </div>

        <div class="row big-list-row mx-auto"></div>
        {% for recipe in page_obj %}

            <div class="row big-list-footer mx-auto">

                <div class="col-2 recipe-item-1">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.card1.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/cards/'%}{{recipe.card1.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:card' recipe.card1.pk %}" class="stretched-link"></a>
                </div>

                <div class="col-2 recipe-item-2">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.card2.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/cards/'%}{{recipe.card2.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:card' recipe.card2.pk %}" class="stretched-link"></a>
                </div>

                <div class="col-2 recipe-item-3">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.card3.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/cards/'%}{{recipe.card3.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:card' recipe.card3.pk %}" class="stretched-link"></a>
                </div>

                <div class="col-2 recipe-item-4">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.card4.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/cards/'%}{{recipe.card4.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:card' recipe.card4.pk %}" class="stretched-link"></a>
                </div>

                <div class="col-2 recipe-item-5">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.card5.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/cards/'%}{{recipe.card5.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:card' recipe.card5.pk %}" class="stretched-link"></a>
                </div>

                <div class="col-2 recipe-item-6">
                    <div class="row-6 h-25">
                        <div class="recipe-item-text">
                            <p>{{recipe.craft.name}}</p>
                        </div>
                    </div>
                    <div class="row-6 h-75">
                        <div class="recipe-item-img ">
                            <img src="{% static 'images/crafted/'%}{{recipe.craft.getIconName}}"></img>
                        </div>
                    </div>
                    <a href="{%url 'appli:craft' recipe.craft.pk %}" class="stretched-link"></a>
                </div>
            </div>
            
            
        {% endfor %}

        <div class="row big-list-row w-100 justify-content-center mx-auto">
            <div class="col h-100 mx-auto">
                <div class="pagination paginator border border-5">
                    <span class="step-links">
                        {% if page_obj.has_previous %}
                            <a href="?page=1">&laquo; first</a>
                            <a href="?page={{ page_obj.previous_page_number }}">previous</a>
                        {% endif %}

                        <span class="current">
                            Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
                        </span>

                        {% if page_obj.has_next %}
                            <a href="?page={{ page_obj.next_page_number }}">next</a>
                            <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
                        {% endif %}
                    </span>
                </div>
            </div> 
        </div>
    </div>
</div>



{% endblock %}